Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 507805

Summary: Review Request: perl-Flickr-Upload - Flickr upload tool
Product: [Fedora] Fedora Reporter: Michal Ingeli <mi>
Component: Package ReviewAssignee: Lubomir Rintel <lkundrak>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: cweyl, fedora-package-review, lkundrak, notting, ron
Target Milestone: ---Flags: lkundrak: fedora-review+
j: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 1.32-2.fc11 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-08-18 21:17:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 507801, 507804    
Bug Blocks:    

Description Michal Ingeli 2009-06-24 11:13:56 UTC
Spec URL: http://v3.sk/~xyzz/rpm/f11/perl-Flickr-Upload.spec
SRPM URL: http://v3.sk/~xyzz/rpm/f11/perl-Flickr-Upload-1.32-1.fc11.src.rpm

Description: Flickr upload tool and perl module using flickr API

Comment 1 Lubomir Rintel 2009-06-26 13:19:18 UTC
* rpmlint is quiet
* name is well according to the guidelines
* source matches upstream
* clean and legible SPEC file, American English
* runs testsuite
* builds file in mock
* filelists, documentation ok
* sane provides/requires
* license ok

APPROVED

Comment 2 Chris Weyl 2009-07-02 04:11:47 UTC
Given that this provides a user executable script, may I suggest splitting it into a subpackage "flickr-upload"?  This will help indicate to the user that there is an enduser tool here, not just a Perl library.

For examples, see perl-App-Nopaste (nopaste), perl-App-Asciio (asciio), perl-Git-CPAN-Patch (git-cpan-patch), etc, etc.

Comment 3 Michal Ingeli 2009-07-02 08:09:55 UTC
I was thinking about splitting it into separate sub-package. But I decided no to as there is only one simple script, and summary also says that it's a flickr upload tool. But I can do it after the licensing issue on blockers is solved. Upstream is little unresponsive.

Comment 4 Lubomir Rintel 2009-07-07 10:20:31 UTC
While I tend to think that creating a sub-package is useless here, I believe adding a 'flickr-upload' for the use case Chris mentioned in comment #2 may make sense.

(there are examples here as well, see perl-MIME-tools perl-Pod-Coverage perl-SOAP-Lite perl-Template-Toolkit perl-ExtUtils-MakeMaker perl-DBI perl-Archive-Tar perl-Tk perl-Module-CoreList perl-SGMLSpm perl-Test-Harness perl-JSON-XS perl-Module-Signature perl-XML-Twig perl-File-Find-Rule perl-Archive-Zip perl-Pod-POM perl-CPAN perl-Module-Build)

Comment 5 Michal Ingeli 2009-08-02 18:50:36 UTC
(In reply to comment #2)
> Given that this provides a user executable script, may I suggest splitting it
> into a subpackage "flickr-upload"?  This will help indicate to the user that
> there is an enduser tool here, not just a Perl library.

I have reconsidered the sub-packaging flickr_upload script. When a basic user searches for, lets say "flickr", yum will find a lot of tools and perl-Upload-Flickr. Basic user probably won't think of this package as a perl library, but as an "application that uploads". Every other user can read the description, that reads "flickr upload tool and perl library". Maybe rather than sub-packaging, we should come up with a more descriptive summary.

Comment 6 Lubomir Rintel 2009-08-02 22:27:09 UTC
This was APPROVED.
Please proceed filing a CVS request.

Comment 7 Michal Ingeli 2009-08-03 13:43:48 UTC
New Package CVS Request
=======================
Package Name: perl-Flickr-Upload
Short Description: Flickr upload tool
Owners: ksyz
Branches: F-11 EL-5
InitialCC:

Comment 8 Jason Tibbitts 2009-08-03 21:30:14 UTC
CVS done.

Comment 9 Fedora Update System 2009-08-06 18:45:14 UTC
perl-XML-Parser-Lite-Tree-0.09-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-XML-Parser-Lite-Tree-0.09-1.fc11

Comment 10 Fedora Update System 2009-08-12 14:23:18 UTC
perl-Flickr-Upload-1.32-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Flickr-Upload-1.32-2.fc11

Comment 11 Fedora Update System 2009-08-15 08:20:24 UTC
perl-Flickr-Upload-1.32-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Flickr-Upload'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8590

Comment 12 Fedora Update System 2009-08-18 21:17:09 UTC
perl-Flickr-Upload-1.32-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.